/*  zoomview.h - the zoom component for the AtheOS Zoom v0.1
 *  Copyright (C) 2001 Chir
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details. 
 *
 *  You should have received a copy of the GNU Library General Public 
 *  License along with this library; if not, write to the Free 
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */

#include <gui/desktop.h>
#include <gui/window.h>
#include <gui/layoutview.h>


using namespace os;

/**
 * Zoom component.
 */
class ZoomView : public LayoutView
{
  public:
    ZoomView( Rect cFrame );
    ~ZoomView();
    void Paint( const Rect& cUpdateRect );
    virtual void TimerTick( int nID );
    virtual Point GetPreferredSize( bool bLargest );
    virtual void FrameSized( const Point& cDelta );
    void setMagnification( int );
  private:
    void drawPixels();
    void resizeZoom();
    void fetchPixels();

    int m_RX, m_RY;                                     // Current size.
    int m_H;                                            // Current zoomed pixel size.
    bool m_bIsFirst;                                    // Initialisation flag.
    float m_vX0, m_vY0;                                 // Current rectangle center.
    unsigned char** m_pBufferRed;                       // 24 bit color bitmap.
    unsigned char** m_pBufferGreen;                     // 24 bit color bitmap.
    unsigned char** m_pBufferBlue;                      // 24 bit color bitmap.
};
